﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="OcenaOcenySzczegoly.aspx.cs" Inherits="KOLKaP_WEB.KOLKaP.OcenaOcenySzczegoly" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Ocena</title>
    <link rel="stylesheet" href="../jquery/themes/ui-lightness/jquery-ui-1.11.2.min.css" />
    <script src="../jquery/jquery-1.8.3.min.js" type="text/javascript"></script>
    <script src="../jquery/ui/jquery-ui-1.11.2.min.js" type="text/javascript"></script>
    <script src="../jquery/ui/i18n/jquery.ui.datepicker-pl.js" type="text/javascript"></script>
    <script src="../jquery/jquery.corner.js" type="text/javascript"></script>
    <script src="../jquery/jquery.blockUI.js" type="text/javascript"></script>
    <style type="text/css">
        body {
            margin-top: 0px;
            margin-left:0px;
            margin-right:0px;
            font-size: 8pt;
            font-family: Verdana, Tahoma, Arial;
            font-style: normal;
            font-weight: normal;
            color: Black;
        }

        .tableHeader, .tableHeaderL, .tableHeaderP {
            background-color: #8C4200;
            color: White;
            vertical-align: middle;
            text-align: center;
            padding: 4px;
            font-size: 11px;
            font-weight: normal;
            border-top-color: orange;
            border-top-width: 1px;
            border-top-style: solid;
        }

        .tableObiegowka {
            width: 100%;
            margin-top: 5px;
        }

            .tableObiegowka th {
                border-bottom-color: orange;
                border-bottom-width: 1px;
                border-bottom-style: solid;
            }

            .tableObiegowka td {
                border-color: #8C4200;
                border-width: 1px;
                padding: 4px;
            }

            .tableObiegowka select {
                font-weight: bold;
            }

        .tdOpisKryterium {
            color: #808080;
        }

        #btnPowrot, #btnDrukuj {
            float: right;
            font-size: 10pt;
            font-family: Verdana, Tahoma, Arial;
            font-style: normal;
            font-weight: normal;
        }

        .ddl {
            width: 100%;
            max-width: 90%;
        }

        .textareaStyle {
            margin-left: 0px;
            margin-right: 0px;
            width: 100%;
        }

        .tdUzasadnienieLR {
            border-left-style: solid;
            border-right-style: solid;
        }

        .tdUzasadnienieLRB {
            border-left-style: solid;
            border-right-style: solid;
            border-bottom-style: solid;
        }

        .divUzasadnienie {
            width: 100%;
            height: 20px;
        }

        .divUzasadnienieHeader, .divUzasadnieniePrzelozonegoHeader {
            border-color: orange;
            border-width: 1px;
            border-style: solid;
            font-size: 10px;
            background-color: orange;
            margin-left: 20px;
            margin-top: 6px;
            float: left;
            padding: 1px 10px 1px 10px;
        }

        .divUzasadnienieHeader {
            min-width: 80px;
        }

        .divUzasadnieniePrzelozonegoHeader {
            min-width: 150px;
        }

        .divTresc {
            font-family: Verdana, Tahoma, Arial;
            border-color: orange;
            border-width: 1px;
            border-style: solid;
            padding: 10px 10px 4px 4px;
            /*margin-top: -6px;*/
            background-color: white;
            font-size: 12px;
            word-wrap: break-word;
        }

        #divZapisz {
            float: right;
            margin-top: 5px;
            padding-bottom: 10px;
        }

        .divPrzyciskDodaj {
            margin-left: 0px;
            margin-right: 0px;
            width: auto;
            height: 30px;
            display: block;
        }

        .divPrzyciskiDodajAnuluj {
            width: 100%;
            height: 27px;
        }

        .divDodajKomentarz {
            margin-top: 10px;
            margin-left: 0px;
            margin-right: 0px;
            width: auto;
            display: none;
        }

        .buttonDodaj, .buttonZapisz, .buttonAnuluj {
            float: left;
            font-size: 8pt;
            font-family: Verdana, Tahoma, Arial;
            font-style: normal;
            font-weight: normal;
        }

        .divOcenaWynik {
            border-color: orange;
            border-width: 1px;
            border-style: solid;
            font-size: 12px;
            background-color: orange;
            float: left;
            padding: 5px 5px 5px 5px;
            margin-top: 5px;
            min-width:20px;
        }

        .divOcenaOpis {
            float: left;
            padding: 6px 5px 6px 5px;
            margin-top: 5px;
            font-size: 8pt;
        }

        .tableRow {
            background-color: #DCDCDC;
        }

        .tableRowAlt {
            background-color: whitesmoke;
        }

        .ddlPriorytet{
            width:90px;
        }

        .ddlStatus{
            width:145px;
        }

        .spanBrak{
            color:red;
            font-size:16px;
        }
    </style>    

    <%--This code displays on non-IE browsers and on IE 9 or higher.--%>
    <!--[if gt IE 8]><!-->
    <style type="text/css">
        
        .divTresc {
            margin-top: -6px;
        }
    </style> 
    <!--<![endif]-->


    <script type="text/javascript">

        //nie ma funkcji zaokrąglającej do kilku miejsc po przecinku
        //to jedno z lepszych rozwiązań (problemy mogą być z bardzo dyżymi albo małymi(po przecinku) liczbami ale tutaj nie powinno to stanowić problemu
        function round10(value, places) {
            return +(Math.round(value + "e+" + places) + "e-" + places);
        }

        function showZadanieDialog() {
            $("#tbZadanieNazwa").val("");
            $("#tbZadanieOpis").val("");
            $("#ddlZadaniePriorytet").selectmenu().val("10");
            $("#ddlZadaniePriorytet").selectmenu("refresh");
            $("#tbZadaniePrzewidywanaDataRealizacji").val($.datepicker.formatDate('yy-mm', new Date()));
            $("#ddlZadanieStatus").selectmenu().val("WPR");
            $("#ddlZadanieStatus").parent().hide();//.selectmenu().css("display", "none");
            $("#ddlZadanieStatus").selectmenu("refresh");
            $("#btnZadanieZapisz").hide();
            $("#btnZadanieDodaj").show();
            $("#dialog-form").parent().appendTo(jQuery("form:first"));
            $("#dialog-form").dialog("open");
        }

        function hideZadanieDialog() {
            //$("#dialog-form").parent().appendTo(jQuery("form:first"));
            $("#dialog-form").dialog("close");
        }

        function showZadanieEdycjaDialog(idZadania, nazwa, opis, priorytet, przewidywanaData, status) {
            $("#hiddenInputIdZadania").val(idZadania);
            $("#tbZadanieNazwa").val(nazwa);
            $("#tbZadanieOpis").val(opis);
            $("#ddlZadaniePriorytet").selectmenu().val(priorytet);
            $("#ddlZadaniePriorytet").selectmenu("refresh");
            $("#tbZadaniePrzewidywanaDataRealizacji").val(przewidywanaData);
            $("#ddlZadanieStatus").selectmenu().val(status);
            $("#ddlZadanieStatus").parent().show();//.selectmenu().css("display", "block");
            $("#ddlZadanieStatus").selectmenu("refresh");
            $("#btnZadanieZapisz").show();
            $("#btnZadanieDodaj").hide();
            $("#dialog-form").parent().appendTo(jQuery("form:first"));
            $("#dialog-form").dialog("open");
        }

        function ZwinRozwinOpis(divName) {
            if (document.getElementById(divName).style.display == 'block') {
                document.getElementById(divName).style.display = 'none';
            }
            else {
                document.getElementById(divName).style.display = 'block';
            }
        }

        function PokazZapisKomentarza() {
            document.getElementById('divDodajZadanieKomentarz').style.display = 'block';
            document.getElementById('divPrzyciskDodajZadanie').style.display = 'none';
        }

        function UkryjZapisKomentarza() {
            document.getElementById('divDodajZadanieKomentarz').style.display = 'none';
            document.getElementById('divPrzyciskDodajZadanie').style.display = 'block';
        }

        function ZakonczZapisKomentarza() {
            var ddl = document.getElementById('ddlZadanie');
            if (ddl == null)
                alert("Nie odnaleziono ddlZadanie.");
            if (ddl.options[ddl.selectedIndex].value == "") {
                alert("Należy wybrać kompetencję.");
            }
            else {
                document.getElementById('divDodajZadanieKomentarz').style.display = 'none';
                document.getElementById('divPrzyciskDodajZadanie').style.display = 'block';
                document.getElementById('divZadaniaRozwojowe').innerHTML += "<div>" + ddl.options[ddl.selectedIndex].text + "-" + document.getElementById('tbKomentarzZadanie').value + "</div>";
                ddl.selectedIndex = 0;
                document.getElementById('tbKomentarzZadanie').value = "";
            }
        }

        function getParameterByName(name) {
            var match = RegExp('[?&]' + name + '=([^&]*)').exec(window.location.search);
            return match && decodeURIComponent(match[1].replace(/\+/g, ' '));
        }

        var kli1 = "";
        var kli2 = "";

        function kliKli(name) {
            if (name == "divOcenaWynikSamoocena") {
                kli1 = "1";
            }
            else if (name == "divOcenaWynikOcena") {
                kli2 = "1";
            }
            if (kli1 == "1" && kli2 == "1") {
                
                if (confirm("Przepisać samoocenę do oceny?")) {
                    $("select[id^='ddlSamoocena']").each(function () {
                        var sam = $(this).val();
                        var kryt = $(this).attr("id").replace("ddlSamoocena", "ddlOcena");
                        $("#" + kryt).val(sam);
                    });
                }
                kli1 = "";
                kli2 = "";
            }
        }

        // po wciśnięciu klawisza i ctrl+v/past usuwamy < >
        $(function () {
            $(".textareaStyle").on("paste keypress", function ()
            {
                var element = this;
                setTimeout(function () {
                    var text = $(element).val();
                    $(element).val(text.replace(/</g, "[").replace(/>/g, "]"));
                }, 10);

                //e.preventDefault();
            });
        });

        $(function () {

            $("#btnPowrot").button({ icons: { primary: 'ui-icon-arrowreturnthick-1-w' } });
            $("#btnDrukuj").button({ icons: { primary: 'ui-icon-print' }, text: false, label: "Drukuj" });
            $("#btnZapiszSamoocene").button({ icons: { primary: 'ui-icon-disk' } });
            $("#btnZapiszOcene").button({ icons: { primary: 'ui-icon-disk' } });
            $("#btnZatwierdzOcene").button({ icons: { primary: 'ui-icon-check' } });
            $(".buttonDodaj").button({ icons: { primary: 'ui-icon-comment' } });
            $(".buttonZapisz").button({ icons: { primary: 'ui-icon-check' } });
            $(".buttonAnuluj").button({ icons: { primary: 'ui-icon-cancel' } });
            $("#btnNiePodlegaOcenie").button({ icons: { primary: 'ui-icon-cancel' } });

            $(".buttonOpis").button({ icons: { primary: 'ui-icon-comment' } });
            $(".priorytet10").button();
            $(".ddlPriorytet").selectmenu();
            $(".ddlStatus").selectmenu();
            $("#buttonDodajZadanie").button({ icons: { primary: 'ui-icon-plusthick' } });
            $("#btnZadanieDodaj").button({ icons: { primary: 'ui-icon-plusthick' } });
            $("#btnZadanieZapisz").button({ icons: { primary: 'ui-icon-disk' } });
            $("#btnZadanieAnuluj").button({ icons: { primary: 'ui-icon-cancel' } });
            $(".buttonZadanieUsun").button({ icons: { primary: 'ui-icon-trash' } });
            $(".buttonZadanieEdytuj").button({ icons: { primary: 'ui-icon-pencil' } });


            $("#dialog-form").dialog({
                autoOpen: false,
                width: 400,
                modal: true//,

                //close: function () {
                //    allFields.val("").removeClass("ui-state-error");
                //}
            });

            $(".monthPicker").datepicker({
                dateFormat: 'yy-mm',
                changeMonth: true,
                changeYear: true,
                showButtonPanel: true,
                showOn: 'button', buttonImage: '../img/calendar.gif', buttonImageOnly: true,

                onClose: function (dateText, inst) {
                    var month = $("#ui-datepicker-div .ui-datepicker-month :selected").val();
                    var year = $("#ui-datepicker-div .ui-datepicker-year :selected").val();
                    $(this).val($.datepicker.formatDate('yy-mm', new Date(year, month, 1)));
                    //$("#tbZadaniePrzewidywanaDataRealizacji").val('2015-05');
                    //document.getElementById('tbZadaniePrzewidywanaDataRealizacji').value = '2015-05';
                }
            });

            $(".monthPicker").focus(function () {
                $(".ui-datepicker-calendar").hide();
                $("#ui-datepicker-div").position({
                    my: "center top",
                    at: "center bottom",
                    of: $(this)
                });
            });



            //if (getParameterByName("IDZDO")) {
            //    $(document).scrollTop($("#" + getParameterByName("IDZDO")).offset().top + 20);
            //}

        })
    </script>

    <%--This code displays on non-IE browsers and on IE 9 or higher.--%>
    <!--[if gt IE 8]><!-->
    <script type="text/javascript">

        $(function () {

            $(".tableHeaderL").corner("tl 8px");
            $(".tableHeaderP").corner("tr 8px");
            $(".divUzasadnienieHeader").corner("4px");
            $(".divUzasadnieniePrzelozonegoHeader").corner("4px");
            $(".divTresc").corner("8px");
            $(".tdUzasadnienieLRB").corner("bl 8px").corner("br 8px");
            $(".divOcenaWynik").corner("4px");
        })
    </script>
    <!--<![endif]-->
    
    <%--This code displays on non-IE browsers and on IE 7 or higher.--%>
    <!--[if gt IE 6]><!-->
    <script type="text/javascript">


        $(function () {
            //$("#divOcenaBezNaglowka").css('top', $("#divNaglowek").height() + 5);
            $("#divOcenaBezNaglowka").position({
                my: "left top",
                at: "left bottom",
                of: "#divNaglowek"
            });

            $(window).resize(function () {
                if ($(document).scrollTop().valueOf() == 0) {
                    $("#divOcenaBezNaglowka").position({
                        my: "left top",
                        at: "left bottom",
                        of: "#divNaglowek"
                    });
                }
            });

            //$(function () {

            //    var wysokosc = $('#divNaglowek').height() + 5;
            //    $("#divNaglowekSekcji").css({ 'margin-top': wysokosc })
            //})
        })
    </script>
    <!--<![endif]-->
    
    <script type="text/javascript">

        $(function () {

            if (getParameterByName("IDZDO")) {
                $(document).scrollTop($("#" + getParameterByName("IDZDO")).offset().top + 20);
            }

        })
    </script>
</head>
<body id="body" onload="WyliczOceneNaStarcie();">
    <form id="form1" runat="server">
        <div id="divNaglowek" style="position:fixed; z-index:100; background-color:white; left:0px; right:0px; top:0px;padding-left:5px;padding-bottom:5px; padding-right:5px;">
            <table style="margin-top: 0px;border-width: 0px; width: 100%; font-size: 10pt;" cellpadding="0px" cellspacing="0px">
                <tr>
                    <td colspan="4">
                        <asp:Label ID="lblError" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="font-size: 12pt; font-weight: bold;">Ocena<span style="font-size: 10pt; font-weight: normal"> za okres </span>
                        <asp:Label ID="lblOcenaOkres" runat="server"></asp:Label>
                    </td>
                    <td valign="top">
                        <span style="font-size: 8pt;">Nazwisko imię</span><br />
                        <asp:Label ID="lblPracownik" runat="server" Font-Bold="true"></asp:Label>
                    </td>
                    <td valign="top">
                        <span style="font-size: 8pt;">Status</span><br />
                        <asp:Label ID="lblStatus" runat="server"></asp:Label>
                    </td>
                    <td valign="top" align="right" rowspan="2" style="width:190px;">
                        <div id="divOcena" runat="server" style="display: none;">
                            <div id="divOcenaOcena" runat="server" style="float: right;">
                                <div class="divOcenaOpis">Ocena</div>
                                <div class="divOcenaWynik" id="divOcenaWynikOcena" runat="server">
                                    <asp:Label ID="lblWynikOceny" runat="server">0</asp:Label>
                                </div>
                            </div>
                            <div style="float: right;">
                                <div class="divOcenaOpis">Samoocena</div>
                                <div class="divOcenaWynik" id="divOcenaWynikSamoocena" runat="server">
                                    <asp:Label ID="lblWynikSamooceny" runat="server">0</asp:Label>
                                </div>
                            </div>
                        </div>
                        <div id="divOcenaNiepomniejszana" runat="server" style="clear: both; display: none;">
<%--                            <div style="float:left;">Niepomniejszana</div>--%>
                            <div id="divOcenaOcenaNiepomniejszana" runat="server" style="float: right;">
                                <div class="divOcenaOpis" style="margin-top:0px;">Ocena<br />niep.</div>
                                <div class="divOcenaWynik">
                                    <asp:Label ID="lblWynikOcenyNiepomniejszanej" runat="server">0</asp:Label>
                                </div>
                            </div>
                            <div style="float: right;">
                                <div class="divOcenaOpis" style="margin-top:0px;">Samoocena<br />niepom.</div>
                                <div class="divOcenaWynik">
                                    <asp:Label ID="lblWynikSamoocenyNiepomniejszanej" runat="server">0</asp:Label>
                                </div>
                            </div>
                        </div>
                        <div style="clear: both;">
                            <asp:LinkButton ID="btnPowrot" runat="server" OnClick="btnPowrot_Click">Powrót</asp:LinkButton>
                            <asp:LinkButton ID="btnDrukuj" runat="server" Visible="False"></asp:LinkButton>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td valign="top">
                        <span style="font-size: 8pt;">Jednostka:</span><br />
                        <asp:Label ID="lblJednostka" runat="server"></asp:Label>
                    </td>
                    <td valign="top">
                        <span style="font-size: 8pt;">Stanowisko:</span><br />
                        <asp:Label ID="lblStanowisko" runat="server"></asp:Label>
                    </td>
                    <td valign="top">
                        <span style="font-size: 8pt;">Arkusz:</span><br />
                        <asp:Label ID="lblArkusz" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:PlaceHolder ID="placeHolderNaglowek" runat="server"></asp:PlaceHolder>
        </div>
        <div id="divOcenaBezNaglowka">
            <asp:PlaceHolder ID="placeHolder" runat="server"></asp:PlaceHolder>
        </div>
        <!-- Okienko dialogu -->
        <div id="dialog-form" title="Zadanie" style="display:none;">
            <div style="width: 100%;">
                <div style="width: 100%; margin-bottom:5px;">
                <span>Nazwa</span>
                <asp:TextBox ID="tbZadanieNazwa" runat="server" Style="width: 100%;"
                    class="text ui-widget-content ui-corner-all"></asp:TextBox>
                </div>
                <div style="width: 100%; margin-bottom:5px;">
                <span>Opis</span>
                <asp:TextBox ID="tbZadanieOpis" runat="server" TextMode="MultiLine" style="width: 100%;"
                    class="text ui-widget-content ui-corner-all" Rows="4"></asp:TextBox>
                </div>
                <div style="width: 100%; margin-bottom:5px;">
                <span>Priorytet</span><br />
                <asp:DropDownList ID="ddlZadaniePriorytet" runat="server" CssClass="ddlPriorytet">
                    <asp:ListItem Value="10" Selected="True">Niski</asp:ListItem>
                    <asp:ListItem Value="20">Średni</asp:ListItem>
                    <asp:ListItem Value="30">Wysoki</asp:ListItem>
                </asp:DropDownList>
                </div>
                <div style="width: 100%; margin-bottom:5px;">
                <span>Przewidywany miesiąc realizacji (rrrr-mm)</span><br />
                <asp:TextBox ID="tbZadaniePrzewidywanaDataRealizacji" runat="server"
                    class="monthPicker text ui-widget-content ui-corner-all"></asp:TextBox>
                </div>
                <div style="width: 100%; margin-bottom:5px;">
                <span>Status</span><br />
                <asp:DropDownList ID="ddlZadanieStatus" runat="server" CssClass="ddlStatus" >
                    <asp:ListItem Value="WPR" Selected="True">Wprowadzone</asp:ListItem>
                    <asp:ListItem Value="REA">Realizowane</asp:ListItem>
                    <asp:ListItem Value="ZAK">Zakończone</asp:ListItem>
                </asp:DropDownList>
                </div>
            </div>
            <div style="height: 5px;">
                &nbsp;
            </div>
            <div>
                <div style="float: right;">
                    <input id="hiddenInputIdZadania" type="hidden" runat="server" />
                    <asp:LinkButton ID="btnZadanieZapisz" runat="server" style="display:none;" OnClick="btnZadanieZapisz_Click">Zapisz</asp:LinkButton>
                    <asp:LinkButton ID="btnZadanieDodaj" runat="server" style="display:none;" OnClick="btnZadanieDodaj_Click">Dodaj</asp:LinkButton>
                    <a id="btnZadanieAnuluj"  href="javascript:hideZadanieDialog()">Anuluj</a>
                </div>
            </div>
        </div>
    </form>
</body>
</html>
