﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WnioskiOUrlopSzczegoly.aspx.cs" Inherits="KOLKaP_WEB.KOLKaP.WnioskiOUrlopSzczegoly" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="../Web.css?4" type="text/css" rel="stylesheet" />
    <link rel="stylesheet" href="../jquery/themes/ui-lightness/jquery-ui-1.9.2.custom.min.css" />
    <link rel="stylesheet" href="../jquery/themes/ui-lightness/jquery.ui.timepicker.css" />
    <script src="../jquery/jquery-1.8.3.min.js" type="text/javascript"></script>
    <script src="../jquery/ui/jquery-ui-1.9.2.custom.min.js" type="text/javascript"></script>
    <script src="../jquery/jquery.corner.js" type="text/javascript"></script>
    <script src="../jquery/ui/i18n/jquery.ui.datepicker-pl.js" type="text/javascript"></script>
    <script src="../jquery/jquery.blockUI.js" type="text/javascript"></script>
    <script src="../jquery/jquery.ui.timepicker.js" type="text/javascript"></script>
    <script src="../jquery/ui/i18n/jquery.ui.timepicker-pl.js" type="text/javascript"></script>
    <script src="../jquery/jquery.inputmask.bundle.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#btnDoOpinii").button({ icons: { primary: 'ui-icon-check' } });
            $("#btnDoAkceptacji").button({ icons: { primary: 'ui-icon-check' } });
            $("#btnOdrzucOpn").button({ icons: { primary: 'ui-icon-check' } });
            $("#btnZatwierdz").button({ icons: { primary: 'ui-icon-check' } });
            $("#btnOdrzuc").button({ icons: { primary: 'ui-icon-check' } });

            $("#btnPowrot").button({ icons: { primary: 'ui-icon-arrowreturnthick-1-w' } });

            $("#btnTimepickerButtonOd").button({ icons: { primary: 'ui-icon-clock' }, text: false, label: "Godzina od" });
            $("#btnTimepickerButtonDo").button({ icons: { primary: 'ui-icon-clock' }, text: false, label: "Godzina do" });

            $("#btnOdrzucOpnForm").button({ icons: { primary: 'ui-icon-arrowreturnthick-1-w' } });
            $("#btnOdrzucOpnAnuluj").button({ icons: { primary: 'ui-icon-cancel' } });

            $("#btnOdrzucForm").button({ icons: { primary: 'ui-icon-arrowreturnthick-1-w' } });
            $("#btnOdrzucAnuluj").button({ icons: { primary: 'ui-icon-cancel' } });

            $("#divWniosek").corner("10px");

            if (!$("#tbDataOd").is(':disabled')) {
                $("#tbDataOd").datepicker({ dateFormat: 'yy-mm-dd', changeMonth: true, changeYear: true, showAnim: '', yearRange: '1970:2060', showOn: 'button', buttonImage: '../img/calendar.gif', buttonImageOnly: true });
                $("#tbDataOd").datepicker("option", "dateFormat", 'yy-mm-dd');
            }
            if (!$("#tbDataDo").is(':disabled')) {
                $("#tbDataDo").datepicker({ dateFormat: 'yy-mm-dd', changeMonth: true, changeYear: true, showAnim: '', yearRange: '1970:2060', showOn: 'button', buttonImage: '../img/calendar.gif', buttonImageOnly: true });
                $("#tbDataDo").datepicker("option", "dateFormat", 'yy-mm-dd');
            }
            //$.mask.definitions['p'] = "^(0[0-9]|1[0-9]|2[0-3]):[0-5][0-9]$";
            //$.mask.definitions['h'] = "^[0-2]$";
            //$.mask.definitions['o'] = "^[0-9]$";
            //$.mask.definitions['m'] = "^[0-5]$";
            //$.mask.definitions['i'] = "^[0-9]$";
            
            if (!$("#tbGodzinaOd").is(':disabled')) {
                $('#tbGodzinaOd').timepicker("option", $.timepicker.regional['pl']);
                $('#tbGodzinaOd').timepicker({
                    showOn: 'button',
                    button: '.timepickerButtonOd',
                    minutes: { interval: 30, manual: [0, 30] }
                });
            }
            if (!$("#tbGodzinaDo").is(':disabled')) {
                $('#tbGodzinaDo').timepicker("option", $.timepicker.regional['pl']);
                $('#tbGodzinaDo').timepicker({
                    showOn: 'button',
                    button: '.timepickerButtonDo',
                    minutes: { interval: 30, manual: [0, 30] }
                });
            }
            $('#tbGodzinaOd').inputmask('Regex', { regex: "^(0[0-9]|1[0-9]|2[0-3]):[0-5][0-9]$" });
            $('#tbGodzinaDo').inputmask('Regex', { regex: "^(0[0-9]|1[0-9]|2[0-3]):[0-5][0-9]$" });

            var tbPowodOdrzuceniaOpn = $("#tbPowodOdrzuceniaOpn"),
              allFields = $([]).add(tbPowodOdrzuceniaOpn)

            $("#dialog-form-powod").dialog({
                autoOpen: false,
                height: 170,
                width: 300,
                modal: true,
                position: "center",
                resizable: false
            });

            var tbPowodOdrzuceniaOpn = $("#tbPowodOdrzucenia"),
              allFields = $([]).add(tbPowodOdrzucenia)

            $("#dialog-form-powod-opn").dialog({
                autoOpen: false,
                height: 170,
                width: 300,
                modal: true,
                position: "center",
                resizable: false
            });

        });


        function GodzinyClick() {
            if (document.getElementById('cbGodzinowy').checked)// && !document.getElementById('cbGodzinowy').disabled) 
            {
                document.getElementById('divGodzinaOd').style.display = "block";
                document.getElementById('divGodzinaDo').style.display = "block";
                document.getElementById('divDataDo').style.visibility = "hidden";
            }
            else {
                document.getElementById('divGodzinaOd').style.display = "none";
                document.getElementById('divGodzinaDo').style.display = "none";
                document.getElementById('divDataDo').style.visibility = "visible";
            }
        }

        $(document).ready(function () {
            GodzinyClick();
        });


        function OtworzOkienkoPowod() {
            $("#btnOdrzucForm").show();
            $("#dialog-form-powod").parent().appendTo(jQuery("form:first"));
            $("#dialog-form-powod").dialog("open");
        }

        function OtworzOkienkoPowodOpn() {
            $("#btnOdrzucOpnForm").show();
            $("#dialog-form-powod-opn").parent().appendTo(jQuery("form:first"));
            $("#dialog-form-powod-opn").dialog("open");
        }

    </script>
</head>
<body class="body" >
    <form id="form1" runat="server">
        <div>
            <asp:Label ID="lblError" runat="server" EnableViewState="False"></asp:Label>
        </div>
        <div id="spanWniosekTitle" style="width:200px;">
            <asp:Label ID="Label1" runat="server">Wniosek o urlop</asp:Label></div>
        <div id="divWniosek">
            <table border="0" cellspacing="5px" cellpadding="0" style="width: 100%; margin-top: 0px;">
                <tr>
                    <td colspan="3">
                        <asp:LinkButton ID="btnDoOpinii" runat="server" Visible="False" Text="Do opinii przełożonego" CssClass="aspButton" OnClick="btnDoOpinii_Click"></asp:LinkButton>
                        <asp:LinkButton ID="btnDoAkceptacji" runat="server" Visible="False" Text="Do akceptacji" CssClass="aspButton" OnClick="btnDoAkceptacji_Click"></asp:LinkButton>
                        <%--<asp:LinkButton ID="btnOdrzucOpn" runat="server" Visible="False" Text="Odrzuć" CssClass="aspButton" OnClick="btnOdrzucOpn_Click"></asp:LinkButton>--%>
                        <button id="btnOdrzucOpn" runat="server" type="button" value="Odrzuć" onclick="OtworzOkienkoPowodOpn();" style="display: none; font-weight: normal; color: Black;">Odrzuć</button>
                        <asp:LinkButton ID="btnZatwierdz" runat="server" Visible="False" Text="Zatwierdź" CssClass="aspButton" OnClick="btnZatwierdz_Click"></asp:LinkButton>
                        <%--<asp:LinkButton ID="btnOdrzuc" runat="server" Visible="False" Text="Odrzuć" CssClass="aspButton" OnClick="btnOdrzuc_Click"></asp:LinkButton>--%>
                        <button id="btnOdrzuc" runat="server" type="button" value="Odrzuć" onclick="OtworzOkienkoPowod();" style="display: none; font-weight: normal; color: Black;">Odrzuć</button>
                    </td>
                    <td align="right">
                        <asp:LinkButton ID="btnPowrot" runat="server" Text="Powrót" CssClass="aspButton" Width="90px" OnClick="btnPowrot_Click"></asp:LinkButton>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" style="width: 50%">
                        <small>Nazwisko imię</small><br />
                        <asp:Label ID="lblNazwisko" runat="server" Style="font-size: 10pt; font-weight: bold;"></asp:Label>&nbsp;<asp:Label ID="lblImie" runat="server" Style="font-size: 10pt; font-weight: bold;"></asp:Label></td>
                    <td colspan="2">
                        <small>Status</small><br />
                        <asp:Label ID="lblStatus" runat="server" Style="font-size: 10pt;"></asp:Label></td>
                </tr>
                <tr>
                    <td colspan="2">
                        <small>Stanowisko</small><br />
                        <asp:Label ID="lblStanowisko" runat="server" Style="font-size: 10pt;"></asp:Label></td>
                    <td colspan="2">
                        <small>Jednostka</small><br />
                        <asp:Label ID="lblJednostka" runat="server" Style="font-size: 10pt;"></asp:Label></td>
                </tr>
            </table>
            <table border="0" cellspacing="5px" cellpadding="0" style="width: 100%; margin-top: 30px;">
                <tr>
                    <td colspan="2">
                        <small>Rodzaj</small><br />
                        <asp:DropDownList ID="ddlAbsencje" runat="server" Width="95%" Enabled="False" AutoPostBack="True" OnSelectedIndexChanged="ddlAbsencje_SelectedIndexChanged">
                        </asp:DropDownList>
                    </td>
                    <td colspan="2">
                        <asp:CheckBox ID="cbWyjsciaPrywatne" runat="server" Text="Urlop do wykorzystania na wyjścia prywatne" Enabled="False"  style="display:none;" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <div style="float:left">
                        <div id="divDataOd">
                        <small>od (rrrr-mm-dd)</small><br />
                        <asp:TextBox ID="tbDataOd" runat="server" Enabled="False"></asp:TextBox>
                        </div>
                        <div id="divGodzinaOd" style="display:none;" runat="server">
                            <small>od (HH:mm)</small><br />
                            <asp:TextBox ID="tbGodzinaOd" runat="server" Enabled="False"></asp:TextBox>
                            <button id="btnTimepickerButtonOd" class="timepickerButtonOd" style="font-size:7pt; display:none;" runat="server"></button>
                        </div>
                        </div>
                    </td>
                    <td>
                        <div style="float:left">
                        <div>
                        <div id="divDataDo" runat="server">
                        <small>do (rrrr-mm-dd)</small><br />
                        <asp:TextBox ID="tbDataDo" runat="server" Enabled="False"></asp:TextBox>
                        </div>
                        </div>
                        <div id="divGodzinaDo" style="display:none;" runat="server">
                            <small>do (HH:mm)</small><br />
                            <asp:TextBox ID="tbGodzinaDo" runat="server" Enabled="False"></asp:TextBox>
                            <button class="timepickerButtonDo" id="btnTimepickerButtonDo" style="font-size:7pt; display:none;" runat="server"></button>
                        </div>
                        </div>
                    </td>
                    <td style="width:25%"></td>
                </tr>
                <tr>
                    <td colspan="4">
                        <asp:CheckBox ID="cbGodzinowy" runat="server" Text="Godzinowy" Enabled="False" onClick="GodzinyClick()"  style="display:none;" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <div id="divUrlopOkolicznosciowy" style="display:none;" runat="server">
                        <small>Rodzaj urlopu okolicznościowego</small><br />
                        <asp:DropDownList ID="ddlUrlopOkolicznosciowy" runat="server" Width="95%" Enabled="False">
                        </asp:DropDownList>
                        </div>
                    </td>
                    <td colspan="2"></td>
                </tr>
                <tr>
                    <td colspan="4">
                        <div id="divUzasadnienie" style="display:none;" runat="server">
                        <small><span id="lblUzasadnienie" runat="server" >Uzasadnienie / przyczyna</span></small><br />
                        <asp:TextBox ID="tbUzasadnienie" runat="server" Enabled="False" Rows="4" Width="95%" TextMode="MultiLine"></asp:TextBox>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
        <div>
            <asp:Label ID="lblDniPozostalo" runat="server" EnableViewState="False"></asp:Label>
        </div>
        <!-- Okienko dialogu ok -->
        <div id="dialog-form-powod" title="Powód odrzucenia" style="display:none;">
            <div style="width: 100%;">
                <span>Podaj powód odrzucenia wniosku:</span>
            </div>
            <div style="height: 80px;">
                <asp:TextBox ID="tbPowodOdrzucenia" runat="server" TextMode="MultiLine" Rows="4" class="text ui-widget-content ui-corner-all" style="width:250px;" EnableViewState="true"></asp:TextBox>
            </div>
            <div>
                <div style="float: right;">
                    <asp:LinkButton ID="btnOdrzucForm" runat="server" OnClick="btnOdrzucForm_Click" style="display:none;">Odrzuć</asp:LinkButton>
                    <asp:LinkButton ID="btnOdrzucAnuluj" runat="server" OnClick="btnOdrzucAnuluj_Click">Anuluj</asp:LinkButton>
                </div>
            </div>
        </div>
        <!-- Okienko dialogu OPN -->
        <div id="dialog-form-powod-opn" title="Powód odrzucenia opiniującego" style="display:none;">
            <div style="width: 100%;">
                <span>Podaj powód odrzucenia wniosku:</span>
            </div>
            <div style="height: 80px;">
                <asp:TextBox ID="tbPowodOdrzuceniaOpn" runat="server" TextMode="MultiLine" Rows="4" class="text ui-widget-content ui-corner-all" style="width:250px;" EnableViewState="true"></asp:TextBox>
            </div>
            <div>
                <div style="float: right;">
                    <asp:LinkButton ID="btnOdrzucOpnForm" runat="server" OnClick="btnOdrzucOpnForm_Click" style="display:none;">Odrzuć</asp:LinkButton>
                    <asp:LinkButton ID="btnOdrzucOpnAnuluj" runat="server" OnClick="btnOdrzucOpnAnuluj_Click">Anuluj</asp:LinkButton>
                </div>
            </div>
        </div>
    </form>
</body>
</html>
