﻿<%@ Page Language="c#" CodeBehind="Specyfikacje.aspx.cs" AutoEventWireup="True" Inherits="KOLKaP_WEB.KOLKaP.Specyfikacje" Culture="pl-PL" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Kadry Płace</title>
    <meta http-equiv="pragma" content="no-cache" />
    <link href="../Web.css?2" type="text/css" rel="stylesheet" />
</head>
<body class="Body" oncontextmenu="return false" style="margin: 0px; padding: 0px">
    <form id="frmKOLKaPSpecyfikacje" method="post" runat="server" style="margin: 0px; padding: 0px">
        <!-- filtry -->
        <table class="Body" cellspacing="0" cellpadding="0" width="100%" border="0" style="margin-bottom:5px;">
            <tr valign="top">
                <td style="height: 10px">
                    <span style="font-size: 20px; font-weight: bold">Specyfikacje</span>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lbError" runat="server"></asp:Label>
                </td>
            </tr>
            <tr valign="top">
                <td class="Table" valign="middle">
                    <table class="Body" cellspacing="0" cellpadding="0" width="100%" border="0">
                        <tr valign="top">
                            <td valign="middle" style="width: 12%;">
                                <asp:Label ID="Label3" runat="server">Nazwisko</asp:Label>
                            </td>
                            <td valign="middle" style="width: 12%;">
                                <asp:Label ID="Label4" runat="server">Imię</asp:Label>
                            </td>
                            <td valign="middle" style="width: 26%">
                                <asp:Label ID="Label1" runat="server">Jednostka organizacyjna (MPZ)</asp:Label>
                            </td>
                            <td valign="middle" align="right" style="width: 15%; min-width:120px;">
                                <asp:CheckBox ID="cbWybranyMiesiac" runat="server" Checked="True" Text="Wybrany miesiąc"
                                    OnCheckedChanged="cbWybranyMiesiac_CheckedChanged"></asp:CheckBox>&nbsp;&nbsp;
                            </td>
                            <td style="width: 20%; min-width:175px;">
                                <asp:DropDownList ID="ddlMiesiac" runat="server" Width="110px" OnSelectedIndexChanged="tbRok_TextChanged">
                                    <asp:ListItem Value="1">Styczeń</asp:ListItem>
                                    <asp:ListItem Value="2">Luty</asp:ListItem>
                                    <asp:ListItem Value="3">Marzec</asp:ListItem>
                                    <asp:ListItem Value="4">Kwiecień</asp:ListItem>
                                    <asp:ListItem Value="5">Maj</asp:ListItem>
                                    <asp:ListItem Value="6">Czerwiec</asp:ListItem>
                                    <asp:ListItem Value="7">Lipiec</asp:ListItem>
                                    <asp:ListItem Value="8">Sierpień</asp:ListItem>
                                    <asp:ListItem Value="9">Wrzesień</asp:ListItem>
                                    <asp:ListItem Value="10">Październik</asp:ListItem>
                                    <asp:ListItem Value="11">Listopad</asp:ListItem>
                                    <asp:ListItem Value="12">Grudzień</asp:ListItem>
                                </asp:DropDownList><!--<asp:textbox id="tbRok" runat="server" Width="50px"></asp:textbox>-->
                                <asp:DropDownList ID="ddlRok" runat="server" OnSelectedIndexChanged="tbRok_TextChanged">
                                </asp:DropDownList>
                            </td>
                            <td>
                                <asp:CheckBox ID="cbPokazKwoty" runat="server" Text="Pokaż kwoty"></asp:CheckBox>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td>
                                <asp:TextBox ID="tbNazwisko" runat="server" width="95%"></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox ID="tbImie" runat="server" width="95%"></asp:TextBox>
                            </td>
                            <td>
                                <asp:DropDownList ID="ddlMPZ" runat="server" Width="100%" DataValueField="ID_MPZ"
                                    DataTextField="NAZWA" DataMember="MPZ_LIST" DataSource="<%# dsSpecyfikacje %>"
                                    OnSelectedIndexChanged="ZmienieoneParametry">
                                </asp:DropDownList>
                            </td>
                            <td valign="middle" align="right">
                                <asp:Label ID="Label2" runat="server">Etapy</asp:Label>&nbsp;&nbsp;
                            </td>
                            <td>
                                <asp:DropDownList ID="ddlEtapy" runat="server" Width="168px" OnSelectedIndexChanged="ZmienieoneParametry">
                                    <asp:ListItem Value="WSZYSTKIE">Wszystkie</asp:ListItem>
                                    <asp:ListItem Value="WPROWADZONE">Wprowadzone</asp:ListItem>
                                    <asp:ListItem Value="DO_SPRAWDZENIA">Wysłane do sprawdzenia</asp:ListItem>
                                    <asp:ListItem Value="DO_AKCEPTACJI">Wysłane do akceptacji</asp:ListItem>
                                    <asp:ListItem Value="ZAAKCEPTOWANE">Zaakceptowane</asp:ListItem>
                                    <asp:ListItem Value="DO_POPRAWY">Skierowane do poprawy</asp:ListItem>
                                    <asp:ListItem Value="ZATWIERDZONE">Sprawdzone formalnie</asp:ListItem>
                                    <asp:ListItem Value="ZAKSIEGOWANE">Zaksiegowane</asp:ListItem>
                                </asp:DropDownList>
                            </td>
                            <td>
                                <asp:Button ID="btnOdswiez" runat="server" Text="Odśwież" Width="90" CssClass="aspButton"
                                    OnClick="btnSpecyfikacje_Click"></asp:Button>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <!-- lista -->
        <table class="body" cellspacing="0" cellpadding="0" width="100%" border="0">
            <tr>
                <td valign="middle" style="width: 60%">&nbsp;<asp:Button ID="btnDodaj" runat="server" CssClass="aspButton" Text="Dodaj"
                    OnClick="btnDodaj_Click" Width="110px"></asp:Button>
                    &nbsp;<asp:Button ID="btnPopraw" runat="server" CssClass="aspButton" Text="Edytuj"
                        OnClick="btnPopraw_Click" Width="110px"></asp:Button>
                    &nbsp;<asp:Button ID="btnUsun" runat="server" CssClass="aspButton" Text="Usuń" OnClick="btnUsun_Click" Width="110px"></asp:Button>
                    <asp:Button ID="btnDodajKorekte" runat="server" CssClass="aspButton" Text="Dodaj korektę"
                        OnClick="btnDodajKorekte_Click" Width="110px" Enabled="False"></asp:Button>
                </td>
                <td align="left">
                    <asp:Button ID="btnWydrukFaktury" runat="server" CssClass="aspButton" Width="180"
                        Text="Wydruk faktury / rachunku"></asp:Button>&nbsp;<asp:Button ID="btnWydrukSpecyfikacji" runat="server"
                            CssClass="aspButton" Width="130" Text="Wydruk specyfikacji"></asp:Button>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:DataGrid ID="dgSpecyfikacje" runat="server" Width="100%" DataKeyField="ID_SPECYFIKACJI"
                        DataSource="<%# dvSpecyfikacje %>" AllowPaging="True" AutoGenerateColumns="False"
                        BorderColor="White" BorderStyle="Ridge" CellSpacing="1" BorderWidth="2px" BackColor="White"
                        CellPadding="3" GridLines="None" Font-Size="XX-Small" Font-Names="Verdana" AllowSorting="True">
                        <SelectedItemStyle BackColor="Gray"></SelectedItemStyle>
                        <AlternatingItemStyle BackColor="WhiteSmoke"></AlternatingItemStyle>
                        <ItemStyle BackColor="Gainsboro"></ItemStyle>
                        <HeaderStyle HorizontalAlign="Center" ForeColor="White" CssClass="TableHeader"></HeaderStyle>
                        <FooterStyle ForeColor="Black" BackColor="Navy"></FooterStyle>
                        <Columns>
                            <asp:BoundColumn Visible="False" DataField="ID_SPECYFIKACJI"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ID_SPECYFIKACJI_KORYGOWANEJ"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ID_ZAMYKAJACEGO"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ID_AKCEPTUJACEGO"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ID_MPZ"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="NAZWA_MPZ" SortExpression="NAZWA_MPZ"
                                HeaderText="NAZWA_MPZ"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ID_UMOWY"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ZAMKNIECIE"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="AKCEPTACJA"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ID_ZATWIERDZAJACEGO"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ZATWIERDZENIE"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ID_ODRZUCAJACEGO"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="DATA_KSIEGOWANIA"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ZAMYKAJACY"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="AKCEPTUJACY"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ZATWIERDZAJACY"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ODRZUCAJACY"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="DATA_ZAMKNIECIA"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="DATA_AKCEPTACJI"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="DATA_ZATWIERDZENIA"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="DATA_ODRZUCENIA"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ID_PRACOWNIKA"></asp:BoundColumn>
                            <asp:ButtonColumn CommandName="Select">
                                <HeaderStyle Width="0px" />
                            </asp:ButtonColumn>
                            <asp:BoundColumn DataField="PRACOWNIK" SortExpression="PRACOWNIK" HeaderText="Pracownik"></asp:BoundColumn>
                            <asp:BoundColumn DataField="NAZWA_OKRESU" SortExpression="NAZWA_OKRESU" HeaderText="Okres"></asp:BoundColumn>
                            <asp:BoundColumn DataField="NAZWA_UMOWY" SortExpression="NAZWA_UMOWY" HeaderText="Umowa"></asp:BoundColumn>
                            <asp:BoundColumn DataField="NUMER" SortExpression="NUMER" HeaderText="Numer faktury"></asp:BoundColumn>
                            <asp:BoundColumn DataField="SPECYFIKACJA_KORYGOWANA" SortExpression="SPECYFIKACJA_KORYGOWANA" HeaderText="Korekta do"></asp:BoundColumn>
                            <asp:BoundColumn DataField="KWOTA_NETTO" SortExpression="KWOTA_NETTO" HeaderText="Kwota netto"
                                DataFormatString="{0:C}">
                                <ItemStyle HorizontalAlign="Right"></ItemStyle>
                            </asp:BoundColumn>
                            <asp:BoundColumn DataField="KWOTA_BRUTTO" SortExpression="KWOTA_BRUTTO" HeaderText="Kwota brutto"
                                DataFormatString="{0:C}">
                                <ItemStyle HorizontalAlign="Right"></ItemStyle>
                            </asp:BoundColumn>
                            <asp:BoundColumn DataField="DATA_ZAMKNIECIA" SortExpression="DATA_ZAMKNIECIA" HeaderText="Data wysłania do akceptacji"
                                DataFormatString="{0:yyyy-MM-dd HH:mm}"></asp:BoundColumn>
                            <asp:BoundColumn DataField="ZAMYKAJACY" SortExpression="ZAMYKAJACY" HeaderText="Wysyłający"></asp:BoundColumn>
                            <asp:BoundColumn DataField="DATA_SPRAWDZENIA" SortExpression="DATA_SPRAWDZENIA" DataFormatString="{0:yyyy-MM-dd HH:mm}" HeaderText="Data sprawdzenia"></asp:BoundColumn>
                            <asp:BoundColumn DataField="SPRAWDZAJACY" SortExpression="SPRAWDZAJACY" HeaderText="Sprawdzający"></asp:BoundColumn>
                            <asp:BoundColumn DataField="DATA_AKCEPTACJI" SortExpression="DATA_AKCEPTACJI" HeaderText="Data akceptacji"
                                DataFormatString="{0:yyyy-MM-dd HH:mm}"></asp:BoundColumn>
                            <asp:BoundColumn DataField="AKCEPTUJACY" SortExpression="AKCEPTUJACY" HeaderText="Akceptujący"></asp:BoundColumn>
                            <asp:BoundColumn DataField="DATA_ZATWIERDZENIA" SortExpression="DATA_ZATWIERDZENIA"
                                HeaderText="Data sprawdzenia formalnego" DataFormatString="{0:yyyy-MM-dd HH:mm}"></asp:BoundColumn>
                            <asp:BoundColumn DataField="ZATWIERDZAJACY" SortExpression="ZATWIERDZAJACY" HeaderText="Sprawdzający formalnie"></asp:BoundColumn>
                            <asp:BoundColumn DataField="DATA_KSIEGOWANIA" SortExpression="DATA_KSIEGOWANIA" HeaderText="Data księgowania"
                                DataFormatString="{0:yyyy-MM-dd HH:mm}"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="MENADZERSKA"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="MENADZERSKA_DZIALALNOSC"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ROK"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="MIESIAC"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="DATA_ODRZUCENIA_SPR" DataFormatString="{0:yyyy-MM-dd HH:mm}"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="LICZBA_GODZIN"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="ZATRUDNIA_PRACOWNIKOW"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="LICZBA_GODZIN_MAX"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="MIN_GODZ"></asp:BoundColumn>
                            <asp:BoundColumn Visible="False" DataField="SPLIT_PAYMENT"></asp:BoundColumn>
                        </Columns>
                        <PagerStyle Font-Size="X-Small" Font-Bold="True" HorizontalAlign="Left" ForeColor="Black"
                            Position="Top" BackColor="LightGray" PageButtonCount="20" Mode="NumericPages"></PagerStyle>
                    </asp:DataGrid>
                </td>
            </tr>
        </table>
    </form>
</body>
</html>
